Subject: bug#10304: 24.0.92: display bug

From: Eli Zaretskii <[email-masked]>
Date: Fri, 14 Nov 2014 17:56:07 +0200

> From: Lars Magne Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Fri, 14 Nov 2014 16:45:38 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > I think I do understand.  My suspicion is that we somehow fail to
> > realize that the screen estate formerly occupied by the image, and
> > everything that follows it, needs to be cleared in its entirety.  On
> > the display engine level, the image takes just one "line" (called
> > "glyph row"), and perhaps we somehow don't realize that the height of
> > that "line" is large, and all of that needs to be cleared, not just
> > the number of text lines of "normal" height that will replace the
> > image on display.
> 
> Did you get any further on this?

No.

> I've finally found a single message in Gnus where I can reproduce this
> almost 100% of the time -- but only on this display, so it's probably
> closely tied to the exact geometry of the Emacs frame.
> 
> But if you have debugging instructions, since I can now reproduce this,
> I can hopefully give you the output you need to fix this...

Can you run with the patch I posted back then, and report the output,
together with a screenshot of the offending display corruption (so I
could match the debugging output with what was on the screen)?